Compatibility with Firefoh4+ Rated 5 out of 5 stars

Add some monkey patchs for compatibility with Firefoh4+. Pleas downloat at http://code.google.com/p/meetimer/downloads/list test and report into bugtracker.